/*
 * The Npic library
 *
 * Copyright (C) 2003 Edouard Thiel <Edouard.Thiel@lif.univ-mrs.fr>
 *
 * This library is free software under the terms of the 
 * GNU Lesser General Public License (LGPL) version 2.1.
*/

/*
 * files_print.h - 28/01/2003
 *
 * Print image
*/


#ifndef NPIC__FILES_PRINT_H
#define NPIC__FILES_PRINT_H


/* PUBLIC */
int NpicPrintImage (Npic_image *np);
int NpicPrintImageB(Npic_image *np);
int NpicPrintImageF (Npic_image *np, FILE *f);
int NpicPrintImageBF (Npic_image *np, FILE *f);
int NpicPrintImageF_YX (Npic_image *np, FILE *f, int y1, int y2, int x1, int x2);


/* PRIVATE */
int NpicMinMaxFormat (int min, int max);


#endif /* NPIC__FILES_PRINT_H */

