/*
 * The Npic library
 *
 * Copyright (C) 2003 Edouard Thiel <Edouard.Thiel@lif.univ-mrs.fr>
 *
 * This library is free software under the terms of the 
 * GNU Lesser General Public License (LGPL) version 2.1.
*/

/*
 * image_copy.h - 17/01/2003
 *
 * Copy operations
*/


#ifndef NPIC__IMAGE_COPY_H
#define NPIC__IMAGE_COPY_H


/* PUBLIC */

void NpicCopyImageI (Npic_image *dest, Npic_image *src);
void NpicCopyImageIB (Npic_image *dest, Npic_image *src);
void NpicCopyImageB (Npic_image *dest, Npic_image *src);

void NpicConvertImage_c (Npic_image *np1);
void NpicConvertImage_l (Npic_image *np1);
void NpicConvertImage_d (Npic_image *np1);


/* PRIVATE */


#endif /* NPIC__IMAGE_COPY_H */
