/*
 * The Npic library
 *
 * Copyright (C) 2003 Edouard Thiel <Edouard.Thiel@lif.univ-mrs.fr>
 *
 * This library is free software under the terms of the 
 * GNU Lesser General Public License (LGPL) version 2.1.
*/

/*
 * calc_diff.h - 13/11/2008
 *
 * Comparison of pixel values
*/


#ifndef NPIC__CALC_DIFF_H
#define NPIC__CALC_DIFF_H


/* PUBLIC */

long NpicCompare (Npic_image *np1, Npic_image *np2, long n);
long NpicCompareBin (Npic_image *np1, Npic_image *np2, long n);


/* PRIVATE */


#endif /* NPIC__CALC_DIFF_H */
