/*
 * The Npic library
 *
 * Copyright (C) 2003 Edouard Thiel <Edouard.Thiel@lif.univ-mrs.fr>
 *
 * This library is free software under the terms of the 
 * GNU Lesser General Public License (LGPL) version 2.1.
*/

/*
 * dist_sedt_quadra.h - 25/09/2008
 *
 * Squared Euclidean Distance Transforms.
*/


#ifndef NPIC__DIST_SEDT_QUADRA_H
#define NPIC__DIST_SEDT_QUADRA_H



/* PUBLIC */

double NpicSEDT_quadra (Npic_image *np);
double NpicSEDT_quadra_inf (Npic_image *np);
double NpicSEDT_quadra_rev (Npic_image *np);


/* PRIVATE */


#endif /* NPIC__DIST_SEDT_QUADRA_H */
