/*
 * The Npic library
 *
 * Copyright (C) 2003 Edouard Thiel <Edouard.Thiel@lif.univ-mrs.fr>
 *
 * This library is free software under the terms of the 
 * GNU Lesser General Public License (LGPL) version 2.1.
*/

/*
 * mask_check.h - 25/11/2008
 *
 * Check masks.
*/


#ifndef NPIC__MASK_CHECK_H
#define NPIC__MASK_CHECK_H


/* PUBLIC */

int NpicMaskIsOK (Npic_mask *m, const char *funcname);
int NpicMaskCompat (Npic_mask *m, Npic_image *np);


/* PRIVATE */


#endif /* NPIC__MASK_CHECK_H */
