/*
 * The Npic library
 *
 * Copyright (C) 2003 Edouard Thiel <Edouard.Thiel@lif.univ-mrs.fr>
 *
 * This library is free software under the terms of the 
 * GNU Lesser General Public License (LGPL) version 2.1.
*/

/*
 * mask_ntype.h - 16/01/2009
 *
 * Translate mask type to name and vice-versa
*/


#ifndef NPIC__MASK_NTYPE_H
#define NPIC__MASK_NTYPE_H


/* PUBLIC */

int NpicMaskNtype (int dim, int pixeltype);
int NpicMaskPixelType (int ntype);
const char *NpicMaskTypeName (int ntype);
int NpicMaskDim (int ntype);


/* PRIVATE */


#endif /* NPIC__MASK_NTYPE_H */
